Bug 402871 - (CVE-2007-6183) CVE-2007-6183 ruby-gnome2: format string vulnerability
CVE-2007-6183 ruby-gnome2: format string vulnerability
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Allisson Azevedo
http://em386.blogspot.com/2007/11/you...
source=gentoo,reported=20071128,publi...
: Security
Depends On: 405591 405601 405611
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-28 09:50 EST by Tomas Hoger
Modified: 2007-12-06 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.16.0-18.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 15:55:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Reproducer extracted from Chris Rohlf's blog (381 bytes, text/plain)
2007-11-28 09:51 EST, Tomas Hoger
no flags Details

  None (edit)
Description Tomas Hoger 2007-11-28 09:50:34 EST
Secunia advisory:

Chris Rohlf has reported a vulnerability in Ruby-GNOME2, which can potentially
be exploited by malicious people to compromise an application using the library.

The vulnerability is caused due to a format string error within the
"Gtk::MessageDialog.new()" method in gtk/src/rbgtkmessagedialog.c and can
potentially be exploited to execute arbitrary code when a specially crafted
string is passed to the affected function.

NOTE: Exploitation and impact of this vulnerability depend on how an application
uses the affected function of the vulnerable library.

The vulnerability is reported in version 0.16.0. Other versions may also be
affected.

References:
http://em386.blogspot.com/2007/11/your-favorite-better-than-c-scripting.html
http://secunia.com/advisories/27825/

Upstream SVN commit:
http://ruby-gnome2.svn.sourceforge.net/viewvc/ruby-gnome2?view=rev&revision=2720
Comment 1 Tomas Hoger 2007-11-28 09:51:53 EST
Created attachment 271351 [details]
Reproducer extracted from Chris Rohlf's blog
Comment 2 Tomas Hoger 2007-11-30 03:59:55 EST
CVE id CVE-2007-6183 was assigned to this issue.
Comment 3 Fedora Update System 2007-12-06 15:55:43 EST
ruby-gnome2-0.16.0-18.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-12-06 17:50:22 EST
ruby-gnome2-0.16.0-18.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.